﻿/**
 * Copyright (c) 2013 Tobias Müller <Tobias_Mueller@gmx.com>, Tobias Wehrum <Tobias.Wehrum@dragonlab.de>
 * 
 * This file is part of Wizard Defense, A Cooperative Augmented Reality Game.
 * 
 * Distributed under the terms of the GNU GPL v3. For the full notice see the file LICENSE.
 */

/*
 * Marker objects can be in multiple states:
 * - Recognized: The marker is recognized and everything is okay.
 * - IllegalPosition: The marker is recognized, but has a position it shouldn't have (maybe it wasn't moveable, for example).
 * - RequiredAndNotFound: The marker is required, but not recognized.
 * - NotFound: The marker isn't required and not recognized.
 */
public enum MarkerState
{
    Recognized,
    IllegalPosition,
    RequiredAndNotFound,
    NotFound
}
