/**
 * Copyright (c) 2013 Tobias Mller <Tobias_Mueller@gmx.com>, Tobias Wehrum <Tobias.Wehrum@dragonlab.de>
 * 
 * This file is part of Wizard Defense, A Cooperative Augmented Reality Game.
 * 
 * Distributed under the terms of the GNU GPL v3. For the full notice see the file LICENSE.
 */

using System;
using UnityEngine;
using System.Collections;

public class RoundBasedGameManager : MonoBehaviour
{
    /*
    [SerializeField] private Player[] players;
    [SerializeField] private int startingPlayerIndex = 0;

    private ARManager arManager;

    public Player CurrentPlayer { get; private set; }
    public int MostRecentPlayerIndex { get; protected set; }

    public Player[] Players { get { return players; } }

    private State currentState;

    void Awake()
    {
        arManager = ARManager.FindInstance();
    }

    void Start()
    {
	    arManager.EventBeforeUpdate += BeforeARUpdate;
        arManager.EventAfterUpdate += AfterARUpdate;
        arManager.DelegateAcknowledgeNewRecognition = AcknowledgeNewRecognition;
        arManager.DelegateAcknowledgeUpdate = AcknowledgeUpdate;
        arManager.EventDetectionStarted += DetectionStarted;
        arManager.EventDetectionUpdated += DetectionUpdated;
        arManager.EventDetectionEnded += DetectionEnded;

        MostRecentPlayerIndex = -1;

        SwitchToState(new StatePlacement());
    }

    private void BeforeARUpdate()
    {
        currentState.BeforeARUpdate();
    }

    private void AfterARUpdate()
    {
        currentState.AfterARUpdate();
    }

    private bool AcknowledgeNewRecognition(MarkerObject markerObject)
    {
        return currentState.AcknowledgeNewRecognition(markerObject);
    }

    private bool AcknowledgeUpdate(MarkerObject markerObject)
    {
        return currentState.AcknowledgeUpdate(markerObject);
    }

    public void DetectionStarted(MarkerObject markerObject)
    {
        currentState.DetectionStarted(markerObject);
    }

    public void DetectionUpdated(MarkerObject markerObject)
    {
        currentState.DetectionUpdated(markerObject);
    }

    public void DetectionEnded(MarkerObject markerObject)
    {
        currentState.DetectionEnded(markerObject);
    }

    public void SwitchToState(State newState)
    {
        if (newState == null)
            throw new Exception("Cannot set GameManager.state to an empty state");

        if (currentState != null)
        {
            currentState.Destroy();
        }

        currentState = newState;
        currentState.Initialize();
    }

    public void NextPlayer()
    {
        if (MostRecentPlayerIndex == -1)
        {
            SwitchToPlayer(players[startingPlayerIndex]);
        }
        else
        {
            SwitchToPlayer(players[(MostRecentPlayerIndex + 1) % players.Length]);
        }
    }

    public void NoPlayer()
    {
        SwitchToPlayer(null);
    }

    private void SwitchToPlayer(Player player)
    {
        if (CurrentPlayer != null)
        {
            CurrentPlayer.TurnOver();
        }

        CurrentPlayer = player;

        if (CurrentPlayer != null)
        {
            MostRecentPlayerIndex = Array.IndexOf(players, CurrentPlayer);
            CurrentPlayer.YourTurn();
        }
    }

    public int PlayerCount { get { return players.Length; } }
    public bool HasCurrentPlayer { get { return CurrentPlayer != null; } }

    public string GetDebugString()
    {
        string text = currentState.GetDebugString();

        return text;
    }

    public static GameManager FindInstance()
    {
        return GameObject.FindGameObjectWithTag("Essentials").GetComponent<GameManager>();
    }
     */
}
