﻿/**
 * Copyright (c) 2013 Tobias Müller <Tobias_Mueller@gmx.com>, Tobias Wehrum <Tobias.Wehrum@dragonlab.de>
 * 
 * This file is part of Wizard Defense, A Cooperative Augmented Reality Game.
 * 
 * Distributed under the terms of the GNU GPL v3. For the full notice see the file LICENSE.
 */

using System;

/*
 * Since there are multiple possible color systems possible (Red Green Blue or Cyan Magenta Yellow to name but two)
 * colors are represented as abstract components "A", "B" and "C" (and their combinations)
 * 
 * The combinations AB, AC, BC and ABC shouldn't really be in here because the enum is marked "flags", but the Unity
 * property editor sadly doesn't deal well with flags, so to assign "ABC" in the editor there needs to be an "ABC" property
 * here. We still want to keep the flag functionality, so now it contains both the combinations and the "Flags" attribute.
 */
[Flags]
public enum FlexibleColor
{
    A = 0x01,
    B = 0x02,
    C = 0x04,
    AB = 0x03,
    AC = 0x05,
    BC = 0x06,
    ABC = 0x07
}
