﻿/**
 * Copyright (c) 2013 Tobias Müller <Tobias_Mueller@gmx.com>, Tobias Wehrum <Tobias.Wehrum@dragonlab.de>
 * 
 * This file is part of Wizard Defense, A Cooperative Augmented Reality Game.
 * 
 * Distributed under the terms of the GNU GPL v3. For the full notice see the file LICENSE.
 */

using System;
using UnityEngine;
using System.Collections;

/*
 * An ingame entity that can be controlled by the player with a marker.
 * Additionally to its functionality this is for identifying purposes
 * (GameObject.GetComponent<ControllableEntity> != null)
 */
public class ControllableEntity : MonoBehaviour
{
    public bool InUse
    {
        get { return gameObject.activeSelf; }

        set
        {
            if (gameObject.activeSelf == value)
                return;

            gameObject.SetActive(value);
        }
    }
}
