/**
 * Copyright (c) 2013 Tobias Mller <Tobias_Mueller@gmx.com>, Tobias Wehrum <Tobias.Wehrum@dragonlab.de>
 * 
 * This file is part of Wizard Defense, A Cooperative Augmented Reality Game.
 * 
 * Distributed under the terms of the GNU GPL v3. For the full notice see the file LICENSE.
 */

using UnityEngine;
using System.Collections;
using System;

/**
 * This data object stores all waves infos in the EnemyWaveQueue. 
 * At the beginning of each game it is filled with adapted elements of the EnemyWaveInfoPlanned.
 */
public class EnemyWaveInfo
{
    public float SpawnTime;
    public int NumberOfEntities;

    public FlexibleColor[] FlexibleColors;

    public int SpeedIndex;
    public int HealthIndex;

    public EnemyWaveFormation WaveFormation;

    public float DistanceOnLine;
    public float SwarmRadius;
}
