/**
 * Copyright (c) 2013 Tobias Mller <Tobias_Mueller@gmx.com>, Tobias Wehrum <Tobias.Wehrum@dragonlab.de>
 * 
 * This file is part of Wizard Defense, A Cooperative Augmented Reality Game.
 * 
 * Distributed under the terms of the GNU GPL v3. For the full notice see the file LICENSE.
 */

using System.Collections;
using System;

/**
 * The EnemyWaveInfoPlanned class holds similiar elements to the EnemyWaveInfo class. 
 * This class is needed for easier access to the enemy waves via Unity editor. 
 * After starting the game, the EnemyWaveInfo class is used to store waves.
 */
[Serializable]
public class EnemyWaveInfoPlanned 
{
    public float TimeGapToLastWave;
    public int NumberOfEntities;

    public FlexibleColor[] FlexibleColors;
    
    public int HealthIndex;
    public int SpeedIndex;

    public EnemyWaveFormation WaveFormation;

    public float DistanceOnLine;
    public float SwarmRadius;
}
