﻿/**
 * Copyright (c) 2013 Tobias Müller <Tobias_Mueller@gmx.com>, Tobias Wehrum <Tobias.Wehrum@dragonlab.de>
 * 
 * This file is part of Wizard Defense, A Cooperative Augmented Reality Game.
 * 
 * Distributed under the terms of the GNU GPL v3. For the full notice see the file LICENSE.
 */

using System;
using UnityEngine;
using System.Collections;

/*
 * This class provides a controller to set a new position for the base (currently represented ingame
 * as the wizard).
 */
class BaseEntityController : AbstractEntityController
{
    [SerializeField] private bool onlyMoveWhileMarkerIsAcknowledged = true;

    protected void Start()
    {
        controllableEntity = gameManager.PlayField.BaseEntity.GetComponent<ControllableEntity>();
    }

    protected override void Update()
    {
        if (onlyMoveWhileMarkerIsAcknowledged && !controlMarker.Acknowledged)
            return;

        base.Update();
    }
}
