﻿/**
 * Copyright (c) 2013 Tobias Müller <Tobias_Mueller@gmx.com>, Tobias Wehrum <Tobias.Wehrum@dragonlab.de>
 * 
 * This file is part of Wizard Defense, A Cooperative Augmented Reality Game.
 * 
 * Distributed under the terms of the GNU GPL v3. For the full notice see the file LICENSE.
 */

using System;
using System.Collections.Generic;
using UnityEngine;
using System.Collections;

/*
 * A WallEntity represents an ingame wall, blocking laser threads and effectively
 * denoting the border of the playing field.
 */
class WallEntity : LaserReceiverMonoBehaviour
{
    [SerializeField] private float length;

    public float Length { get { return length; } }

    public override bool LaserHit(LaserThread laserThread, RaycastHit hit)
    {
        // Just block the laser
        laserThread.AddPosition(hit.point, Vector3.zero);
        return true;
    }
}
