﻿/**
 * Copyright (c) 2013 Tobias Müller <Tobias_Mueller@gmx.com>, Tobias Wehrum <Tobias.Wehrum@dragonlab.de>
 * 
 * This file is part of Wizard Defense, A Cooperative Augmented Reality Game.
 * 
 * Distributed under the terms of the GNU GPL v3. For the full notice see the file LICENSE.
 */

using System;
using System.Collections.Generic;
using UnityEngine;
using System.Collections;

/*
 * A SplitterEntity mirrors half of the incoming laser, but also lets through half of it.
 */
public class SplitterEntity : LaserReceiverMonoBehaviour
{
    public override bool LaserHit(LaserThread laserThread, RaycastHit hit)
    {
        var thisEntity = GetComponent<Entity>();

        var inDirection = laserThread.CurrentDirection;
        var inNormal = hit.normal;

        laserThread.AddPosition(hit.point, Vector3.zero);

        laserThread.AddThread(hit.point, inDirection, laserThread.Power / 2f, laserThread.Color, thisEntity);
        laserThread.AddThread(hit.point, Vector3.Reflect(inDirection, inNormal), laserThread.Power / 2f, laserThread.Color, thisEntity);

        return true;
    }
}
