/**
 * Copyright (c) 2013 Tobias Mller <Tobias_Mueller@gmx.com>, Tobias Wehrum <Tobias.Wehrum@dragonlab.de>
 * 
 * This file is part of Wizard Defense, A Cooperative Augmented Reality Game.
 * 
 * Distributed under the terms of the GNU GPL v3. For the full notice see the file LICENSE.
 */

using System;
using System.Collections.Generic;
using UnityEngine;
using System.Collections;

/*
 * This state is set before the console is layed out for the first time.
 */
public class StateBeforeStart : State
{
    public override void Initialize()
    {
        base.Initialize();
    }

    public override void Activate()
    {
    }

    public override void Deactivate()
    {
    }

    public override void BeforeARUpdate()
    {
    }

    public override void AfterARUpdate()
    {
    }

    public override bool AcknowledgeNewRecognition(MarkerObject markerObject)
    {
        // Allow only the addition of console buttons
        return markerObject.GetComponent<ARConsoleButton>() != null;
    }

    public override bool AcknowledgeUpdate(MarkerObject markerObject)
    {
        // Allow only updates of console buttons
        return markerObject.GetComponent<ARConsoleButton>() != null;
    }

    public override void DetectionStarted(MarkerObject markerObject)
    {
    }

    public override void DetectionUpdated(MarkerObject markerObject)
    {
    }

    public override void DetectionEnded(MarkerObject markerObject)
    {
    }
}
