﻿/**
 * Copyright (c) 2013 Tobias Müller <Tobias_Mueller@gmx.com>, Tobias Wehrum <Tobias.Wehrum@dragonlab.de>
 * 
 * This file is part of Wizard Defense, A Cooperative Augmented Reality Game.
 * 
 * Distributed under the terms of the GNU GPL v3. For the full notice see the file LICENSE.
 */

/*
 * The FlexibleColorHelper adds a helpful extension method to the FlexibleColor enum.
 */
public static class FlexibleColorHelper
{
    // Finds out if the targetColor enum value fully contains the searchForColor enum value
    public static bool ContainsColor(this FlexibleColor targetColor, FlexibleColor searchForColor)
    {
        return (targetColor & searchForColor) == searchForColor;
    }
}